Ring-class {rgeos} | R Documentation

## Class "Ring"

### Description

class for linear ring

### Objects from the Class

Objects can be created by calls to the function Ring

### Slots

`coords`:

  Object of class `"matrix"`; coordinates of the ring; first point should equal the last point

`ID`:

  Object of class `"character"`; unique identifier string

### Methods

Methods defined with class "Ring" in the signature:

bbox

  `signature(obj = "Ring")`: retrieves the bbox element

coordinates

  `signature(object = "Ring")`: retrieves the coords element from Ring objects in rings slot

coordnames

  `signature(object = "Ring")`: retrieves coordinate names

coerce

  `signature(from = "Ring", to = "SpatialPoints")`: ...

### Author(s)

Colin Rundel

### See Also

Ring

### Examples

    	#NONE

[Package rgeos version 0.5-1 Index]